org.apache.tinkerpop.gremlin.structure.io.gryo

## Class GryoSerializers

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.gryo.GryoSerializers

-     public final class GryoSerializers
      extends Object

  Class used to serialize graph-based objects such as vertices, edges, properties, and paths. These objects are "detached" using `DetachedFactory` before serialization. These serializers present a generalized way to serialize the implementations of core interfaces.
  Author:
    Stephen Mallette (http://stephen.genoprime.com), Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GryoSerializers.BindingSerializer`
    `static class` | `GryoSerializers.BytecodeSerializer`
    `static class` | `GryoSerializers.DefaultRemoteTraverserSerializer`
    `static class` | `GryoSerializers.EdgeSerializer` Serializes any `Edge` implementation encountered to a `DetachedEdge`.
    `static class` | `GryoSerializers.LambdaSerializer`
    `static class` | `GryoSerializers.PathSerializer` Serializes any `Path` implementation encountered to an `DetachedPath`.
    `static class` | `GryoSerializers.PropertySerializer` Serializes any `Property` implementation encountered to an `DetachedProperty`.
    `static class` | `GryoSerializers.PSerializer`
    `static class` | `GryoSerializers.VertexPropertySerializer` Serializes any `VertexProperty` implementation encountered to an `DetachedVertexProperty`.
    `static class` | `GryoSerializers.VertexSerializer` Serializes any `Vertex` implementation encountered to an `DetachedVertex`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GryoSerializers()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GryoSerializers

          public GryoSerializers()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.